﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Input;
using Infragistics.Windows.DockManager;

namespace xamDockManager1
{
    class ActiveCommand : ICommand
    {
        public bool CanExecute(object parameter)
        {
            if (parameter is XamDockManager)
            {
                return true;
            }
            else return false;
        }

        public event EventHandler CanExecuteChanged;

        public void Execute(object parameter)
        {
            if (parameter is XamDockManager)
            {
                XamDockManager xamDockManager1 = parameter as XamDockManager;
                IEnumerable<ContentPane> contentPanes = xamDockManager1.GetPanes(PaneNavigationOrder.VisibleOrder);
                foreach (ContentPane pane in contentPanes)
                {
                    if (pane.Header.Equals("Pane 1"))
                    {
                        pane.Activate();
                        break;
                    }
                }
            }
        }
    }
}
